%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-tinycss2
Version:       1.3.0
Release:       1mamba
Summary:       A tiny CSS parser
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.courtbouillon.org/tinycss2/
Source:        https://pypi.debian.net/tinycss2/tinycss2-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(webencodings)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
#BuildRequires: python-pyproject2setuppy-py3

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n tinycss2-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel
#CFLAGS="%{optflags}" %{__python} -m pyproject2setuppy build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Tue Apr 23 2024 Automatic Build System <autodist@openmamba.org> 1.3.0-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 1.2.1-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Wed Mar 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-2mamba
- rebuilt with python 3.10

* Tue Oct 18 2022 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- package created using the webbuild interface
